Bug 136964 - The Gtk2 XIM input module does not respect Multi_Key
Summary: The Gtk2 XIM input module does not respect Multi_Key
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
(Show other bugs)
Version: 2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-24 04:39 UTC by Ethan Blanton
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-11 16:00:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ethan Blanton 2004-10-24 04:39:41 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040922

Description of problem:
When using Gtk2 with the XIM input module, the compose key seems to
have no effect.  Other input modules (Default, Cyrillic
transliterated, etc.) seem to work correctly.

Version-Release number of selected component (if applicable):
gtk2-2.4.7-2.6

How reproducible:
Always

Steps to Reproduce:
1. Start a Gtk2 application (any) with GTK_IM_MODULE=xim
2. Select a GtkTextView, GtkEntry, etc.
3. Press <Multi_Key> ' e (i.e., Compose apostrophe e)

    

Actual Results:  The string "'e" is entered in the in the buffer.

Expected Results:  The string "�" should be entered in the buffer.

Additional info:

Comment 1 Ethan Blanton 2004-10-24 04:44:44 UTC
(Either my mozilla or the bugzilla server seems to have been confused
about character sets ... that unknown character should obviously be
U+00e9, LATIN SMALL LETTER E WITH ACUTE.)

Comment 2 Matthew Miller 2005-04-26 15:06:34 UTC
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Comment 3 Matthias Clasen 2005-07-11 16:00:51 UTC
Closing FC2 NEEDINFO bugs which have not been updated to FC3/FC4/FC5


Note You need to log in before you can comment on or make changes to this bug.